Skip to main content
GET
/
private-records
/
{record_id}
/
financial-files
/
{file_id}
/
download
Download private record financial file
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/private-records/{record_id}/financial-files/{file_id}/download \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "detail": [
    {
      "loc": [],
      "msg": "Unsupported CRUD operation!",
      "type": "request",
      "code": "unsupported_crud_operation"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

file_id
string<uuid>
required

Unique identifier of the financial file

Example:

"b267d0d3-496f-4592-a1ae-59c9d279ca64"

record_id
string<uuid>
required

Unique identifier of the private record

Example:

"b25e7b65-e46a-40d5-a0f2-0de8c2b354aa"

Response

Successful Response